Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class DelegatingJDOMetaDataRepository

    java.lang.Object
      |
      +--kodo.meta.DelegatingJDOMetaDataRepository

All Implemented Interfaces:
  ImplHelper.RegisterClassListener, JDOMetaDataRepository

Direct Known Subclasses:
  MappingRepository

public synchronized class DelegatingJDOMetaDataRepository
extends Object
implements JDOMetaDataRepository

Constructor Summary
`DelegatingJDOMetaDataRepository(JDOMetaDataRepository)`

Method Summary
`void` | `addMetaData(ClassMetaData)` Add a metadata instance to the repository.
`void` | `clear()` Clear the cache of parsed metadata.
`boolean` | `equals(Object)`
`JDOConfiguration` | `getConfiguration()` Return the configuration for the repository.
`JDOMetaDataRepository` | `getDelegate()`
`ClassMetaData` | `getEmbeddedMetaData(ClassMetaData, int)` Return the class metadata for the embedded value of the given field.
`JDOMetaDataGenerator` | `getGenerator()` Return the generator to use to create default metadata.
`JDOMetaDataRepository` | `getInnermostDelegate()`
`ClassMetaData` | `getMetaData(Class, ClassLoader, boolean)` Return the metadata for the given class.
`ClassMetaData` | `getMetaData(Object, ClassLoader, boolean)` Return the least-derived class metadata for the given application identity object.
`ClassMetaData[]` | `getMetaDatas()` Return all the metadata instances currently in the repository.
`ClassMetaData[]` | `getMetaDatas(Class, boolean, ClassLoader, boolean)` Return all metadatas for the given class.
`JDOMetaDataParser` | `getParser()` Return the parser to use to parse jdo metadata files.
`int` | `getValidate()` The metadata validation level.
`int` | `hashCode()`
`boolean` | `hasMetaData(Class)` Return true if the repository has metadata for the given class.
`void` | `registerClass(Class)`
`boolean` | `removeMetaData(Class)` Remove a metadata instance from the repository.
`boolean` | `removeMetaData(ClassMetaData)` Remove a metadata instance from the repository.
`void` | `setGenerator(JDOMetaDataGenerator)` Set the generator to use to create default metadata.
`void` | `setParser(JDOMetaDataParser)` Set the parser to use to parse jdo metadata files.
`void` | `setValidate(int)` The metadata validation level.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingJDOMetaDataRepository

    public DelegatingJDOMetaDataRepository(JDOMetaDataRepository)

Method Detail

### getDelegate

    public JDOMetaDataRepository getDelegate()

### getInnermostDelegate

    public JDOMetaDataRepository getInnermostDelegate()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### registerClass

    public void registerClass(Class)

  Specified by:
    `registerClass` in interface `ImplHelper.RegisterClassListener`

### getConfiguration

    public JDOConfiguration getConfiguration()

  Description copied from interface: `JDOMetaDataRepository`
  Return the configuration for the repository.
  Specified by:
    `getConfiguration` in interface `JDOMetaDataRepository`

### getParser

    public JDOMetaDataParser getParser()

  Description copied from interface: `JDOMetaDataRepository`
  Return the parser to use to parse jdo metadata files.
  Specified by:
    `getParser` in interface `JDOMetaDataRepository`

### setParser

    public void setParser(JDOMetaDataParser)

  Description copied from interface: `JDOMetaDataRepository`
  Set the parser to use to parse jdo metadata files.
  Specified by:
    `setParser` in interface `JDOMetaDataRepository`

### getGenerator

    public JDOMetaDataGenerator getGenerator()

  Description copied from interface: `JDOMetaDataRepository`
  Return the generator to use to create default metadata.
  Specified by:
    `getGenerator` in interface `JDOMetaDataRepository`

### setGenerator

    public void setGenerator(JDOMetaDataGenerator)

  Description copied from interface: `JDOMetaDataRepository`
  Set the generator to use to create default metadata.
  Specified by:
    `setGenerator` in interface `JDOMetaDataRepository`

### getValidate

    public int getValidate()

  Description copied from interface: `JDOMetaDataRepository`
  The metadata validation level. One of the constants from `ClassMetaData`.
  Specified by:
    `getValidate` in interface `JDOMetaDataRepository`

### setValidate

    public void setValidate(int)

  Description copied from interface: `JDOMetaDataRepository`
  The metadata validation level. One of the constants from `ClassMetaData`.
  Specified by:
    `setValidate` in interface `JDOMetaDataRepository`

### getMetaData

    public ClassMetaData getMetaData(Class,
                                     ClassLoader,
                                     boolean)

  Description copied from interface: `JDOMetaDataRepository`
  Return the metadata for the given class.
  Specified by:
    `getMetaData` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Parameters:
    `cls` - the class to retrieve metadata for
    `pmLoader` - the persistence manager's class loader, if any
    `mustExist` - if true, throws a `JDOMetaDataNotFoundException` if no metadata is found

### getEmbeddedMetaData

    public ClassMetaData getEmbeddedMetaData(ClassMetaData,
                                             int)

  Description copied from interface: `JDOMetaDataRepository`
  Return the class metadata for the embedded value of the given field.
  Specified by:
    `getEmbeddedMetaData` in interface `JDOMetaDataRepository`

### getMetaDatas

    public ClassMetaData[] getMetaDatas()

  Description copied from interface: `JDOMetaDataRepository`
  Return all the metadata instances currently in the repository.
  Specified by:
    `getMetaDatas` in interface `JDOMetaDataRepository`

### hasMetaData

    public boolean hasMetaData(Class)

  Description copied from interface: `JDOMetaDataRepository`
  Return true if the repository has metadata for the given class.
  Specified by:
    `hasMetaData` in interface `JDOMetaDataRepository`

### addMetaData

    public void addMetaData(ClassMetaData)

  Description copied from interface: `JDOMetaDataRepository`
  Add a metadata instance to the repository.
  Specified by:
    `addMetaData` in interface `JDOMetaDataRepository`

### removeMetaData

    public boolean removeMetaData(ClassMetaData)

  Description copied from interface: `JDOMetaDataRepository`
  Remove a metadata instance from the repository.
  Specified by:
    `removeMetaData` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Returns:
    true if removed, false if not in this repository

### removeMetaData

    public boolean removeMetaData(Class)

  Description copied from interface: `JDOMetaDataRepository`
  Remove a metadata instance from the repository.
  Specified by:
    `removeMetaData` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Returns:
    true if removed, false if not in this repository

### getMetaData

    public ClassMetaData getMetaData(Object,
                                     ClassLoader,
                                     boolean)

  Description copied from interface: `JDOMetaDataRepository`
  Return the least-derived class metadata for the given application identity object.
  Specified by:
    `getMetaData` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Parameters:
    `oid` - the oid to get the metadata for
    `pmLoader` - the persistence manager's class loader, if any
    `mustExist` - if true, throws a `JDOMetaDataNotFoundException` if no metadata is found

### getMetaDatas

    public ClassMetaData[] getMetaDatas(Class,
                                        boolean,
                                        ClassLoader,
                                        boolean)

  Description copied from interface: `JDOMetaDataRepository`
  Return all metadatas for the given class. If the class is concrete, only the class metadata will be returned. If the class is an interface or is abstract, metadata for all least-derived classes that implement/ extend the class will be returned.
  Specified by:
    `getMetaDatas` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Parameters:
    `cls` - the class or interface to retrieve metadata for
    `impls` - true to include implementations of the given class if it is non-persistent type, or false to consider the given class only
    `pmLoader` - the persistence manager's class loader, if any
    `mustExist` - if true, throws a `JDOMetaDataNotFoundException` if impls are not included and no metadata is found

### clear

    public void clear()

  Description copied from interface: `JDOMetaDataRepository`
  Clear the cache of parsed metadata. This method also clears the internal parser's cache of parsed files.
  Specified by:
    `clear` in interface `JDOMetaDataRepository`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.